> For the complete documentation index, see [llms.txt](https://developers.laws.africa/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.laws.africa/content-api/reference/works-and-expressions/publication-document.md).

# Publication document

The original publication document is available for most works. This is the primary source document for the work, such as the official government gazette. It is always a PDF.

{% hint style="info" %}
The original publication document is different to the PDF version of a work expression.

* The **PDF version** is a PDF version of the XML content of the document that is generated automatically.
* The **publication document PDF** is a copy of the original publication document, which may be a scanned PDF. It is usually only the original version of the document and does not contain amendment information.
  {% endhint %}

## Download the publication document for a work

The full URL to download the publication document is part of the `publication_document` field in the details of the work.

{% openapi src="/files/4kNXPoVcclCo2986qOST" path="/v3/{frbr\_uri}/media/publication/{filename}" method="get" %}
[Laws.Africa Content API 2024-04-23.yaml](https://4163728571-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-LrrJ5L0RJ3goKWzqKVC%2Fuploads%2FYkGoMScj3txq3sbsbbwo%2FLaws.Africa%20Content%20API%20\(v3\)%20\(2\).yaml?alt=media\&token=7476d4cb-8aff-4c63-8ec8-44782e977024)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.laws.africa/content-api/reference/works-and-expressions/publication-document.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
